<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.15"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>AlexaClientSDK: alexaClientSDK::mediaPlayer::OffsetManager Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="avs-logo.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">AlexaClientSDK
   &#160;<span id="projectnumber">1.13.0</span>
   </div>
   <div id="projectbrief">A cross-platform, modular SDK for interacting with the Alexa Voice Service</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.15 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespacealexa_client_s_d_k.html">alexaClientSDK</a></li><li class="navelem"><a class="el" href="namespacealexa_client_s_d_k_1_1media_player.html">mediaPlayer</a></li><li class="navelem"><a class="el" href="classalexa_client_s_d_k_1_1media_player_1_1_offset_manager.html">OffsetManager</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="classalexa_client_s_d_k_1_1media_player_1_1_offset_manager-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">alexaClientSDK::mediaPlayer::OffsetManager Class Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p><code>#include &lt;<a class="el" href="_offset_manager_8h_source.html">OffsetManager.h</a>&gt;</code></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a51236afc9b2c592e4f433adf2785dc41"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1media_player_1_1_offset_manager.html#a51236afc9b2c592e4f433adf2785dc41">OffsetManager</a> ()</td></tr>
<tr class="separator:a51236afc9b2c592e4f433adf2785dc41"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6f76847d802a16fae3b6f35ee5a24cbc"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1media_player_1_1_offset_manager.html#a6f76847d802a16fae3b6f35ee5a24cbc">setIsSeekable</a> (bool seekable)</td></tr>
<tr class="separator:a6f76847d802a16fae3b6f35ee5a24cbc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a08956403596c65732765cbb096642789"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1media_player_1_1_offset_manager.html#a08956403596c65732765cbb096642789">isSeekable</a> ()</td></tr>
<tr class="separator:a08956403596c65732765cbb096642789"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a68afba2a1e86843f13b3efa2d324a0ad"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1media_player_1_1_offset_manager.html#a68afba2a1e86843f13b3efa2d324a0ad">setSeekPoint</a> (std::chrono::milliseconds seekPoint)</td></tr>
<tr class="separator:a68afba2a1e86843f13b3efa2d324a0ad"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1dcf5362d59b805edf761d6caa6fd055"><td class="memItemLeft" align="right" valign="top">std::chrono::milliseconds&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1media_player_1_1_offset_manager.html#a1dcf5362d59b805edf761d6caa6fd055">getSeekPoint</a> ()</td></tr>
<tr class="separator:a1dcf5362d59b805edf761d6caa6fd055"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae0f81e342df6a659ed744808737b1604"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1media_player_1_1_offset_manager.html#ae0f81e342df6a659ed744808737b1604">isSeekPointSet</a> ()</td></tr>
<tr class="separator:ae0f81e342df6a659ed744808737b1604"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a761bafb286b162e34f1207203b7de009"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1media_player_1_1_offset_manager.html#a761bafb286b162e34f1207203b7de009">clear</a> ()</td></tr>
<tr class="separator:a761bafb286b162e34f1207203b7de009"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p class="">TODO ACSDK-459: Implement support for seeking across playlists. </p>
</div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="a51236afc9b2c592e4f433adf2785dc41"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a51236afc9b2c592e4f433adf2785dc41">&#9670;&nbsp;</a></span>OffsetManager()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">alexaClientSDK::mediaPlayer::OffsetManager::OffsetManager </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p class="">Constructor with initialization of members. </p>

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="a761bafb286b162e34f1207203b7de009"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a761bafb286b162e34f1207203b7de009">&#9670;&nbsp;</a></span>clear()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void alexaClientSDK::mediaPlayer::OffsetManager::clear </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p class="">Explicitly clears locally cached data, ex <code>seekPoint</code>. </p>

</div>
</div>
<a id="a1dcf5362d59b805edf761d6caa6fd055"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1dcf5362d59b805edf761d6caa6fd055">&#9670;&nbsp;</a></span>getSeekPoint()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">std::chrono::milliseconds alexaClientSDK::mediaPlayer::OffsetManager::getSeekPoint </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p class="">Get the seek point.</p>
<dl class="section return"><dt>Returns</dt><dd>The seek point in milliseconds. </dd></dl>

</div>
</div>
<a id="a08956403596c65732765cbb096642789"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a08956403596c65732765cbb096642789">&#9670;&nbsp;</a></span>isSeekable()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool alexaClientSDK::mediaPlayer::OffsetManager::isSeekable </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p class="">Returns whether the stream is seekable.</p>
<dl class="section return"><dt>Returns</dt><dd>A boolean indicating whether the stream is seekable. </dd></dl>

</div>
</div>
<a id="ae0f81e342df6a659ed744808737b1604"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae0f81e342df6a659ed744808737b1604">&#9670;&nbsp;</a></span>isSeekPointSet()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool alexaClientSDK::mediaPlayer::OffsetManager::isSeekPointSet </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p class="">Returns whether a seek point has been set.</p>
<dl class="section return"><dt>Returns</dt><dd>A boolean indicating whether the stream is seekable. </dd></dl>

</div>
</div>
<a id="a6f76847d802a16fae3b6f35ee5a24cbc"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6f76847d802a16fae3b6f35ee5a24cbc">&#9670;&nbsp;</a></span>setIsSeekable()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void alexaClientSDK::mediaPlayer::OffsetManager::setIsSeekable </td>
          <td>(</td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>seekable</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p class="">Set whether the stream is seekable.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">seekable</td><td>A boolean indicating whether the stream is seekable. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a id="a68afba2a1e86843f13b3efa2d324a0ad"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a68afba2a1e86843f13b3efa2d324a0ad">&#9670;&nbsp;</a></span>setSeekPoint()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void alexaClientSDK::mediaPlayer::OffsetManager::setSeekPoint </td>
          <td>(</td>
          <td class="paramtype">std::chrono::milliseconds&#160;</td>
          <td class="paramname"><em>seekPoint</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p class="">Set a seek point.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">seekPoint</td><td>The seek point in milliseconds. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<hr/>The documentation for this class was generated from the following files:<ul>
<li>/workplace/avs-device-sdk/MediaPlayer/GStreamerMediaPlayer/include/MediaPlayer/<a class="el" href="_offset_manager_8h_source.html">OffsetManager.h</a></li>
<li>/workplace/avs-device-sdk/MediaPlayer/GStreamerMediaPlayer/src/<a class="el" href="_offset_manager_8cpp.html">OffsetManager.cpp</a></li>
</ul>
</div><!-- contents -->
<html>
  <body>
    <p style="text-align:left;">
      AlexaClientSDK 1.13.0 - Copyright 2016-2019 Amazon.com, Inc. or its affiliates. All Rights Reserved.
      <span style="float:right;">
	Licensed under the <a HREF=http://aws.amazon.com/apache2.0/>Apache License, Version 2.0</a>
      </span>
    </p>
  </body>
</html>
